<?php
/**
 * Plugin Name: Total Support Hosting Security
 * Description: A lightweight security addition inclusive with your Globe2 hosting package.
 * Version: 1.2.2
 * Author: Globe2
 * License: GPL2
 */

if (!defined('ABSPATH')) {
    exit; // Prevent direct access
}

// Load required files
require_once plugin_dir_path(__FILE__) . 'includes/settings.php';
require_once plugin_dir_path(__FILE__) . 'includes/feature-loader.php';
require_once plugin_dir_path(__FILE__) . 'includes/activation.php';

// Run domain verification when the plugin is activated
register_activation_hook(__FILE__, 'hosting_security_verify_domain');

require plugin_dir_path(__FILE__) . 'plugin-update-checker/plugin-update-checker.php';
use YahnisElsts\PluginUpdateChecker\v5\PucFactory;

$MyUpdateChecker = PucFactory::buildUpdateChecker(
	'https://totalsupporthost.co.uk/plugin/updates/?action=get_metadata&slug=totalsupporthosting-security',
	__FILE__, //Full path to the main plugin file.
	'totalsupporthosting-security' //Plugin slug. Usually it's the same as the name of the directory.
);

?>
