<?php
/**
 * @description Blocks user enumeration attempts via the ?author=1 parameter to prevent attackers from discovering valid usernames.
 */
if (!defined('ABSPATH')) {
    exit;
}

// Get settings
$settings = hosting_security_get_settings();

// Apply feature if enabled
if (!empty($settings['block-user-enumeration'])) {
    function hosting_security_block_user_enum() {
        if (!is_admin() && isset($_REQUEST['author']) && !empty($_REQUEST['author'])) {
            wp_redirect(home_url());
            exit;
        }
    }
    add_action('init', 'hosting_security_block_user_enum');
}
?>

