<?php
/**
 * @description Requires passwords to be at least 8 characters long, with at least one uppercase letter and one special character.
 */
if (!defined('ABSPATH')) {
    exit;
}

// Get settings and ensure the feature is enabled before applying it
$settings = hosting_security_get_settings();
if (!empty($settings['enforce-strong-passwords'])) {
    function hosting_security_strong_passwords($errors, $sanitized_user_login, $user_email) {
        if (isset($_POST['pass1']) && !preg_match('/^(?=.*[A-Z])(?=.*[\W_]).{8,}$/', $_POST['pass1'])) {
            $errors->add('weak_password', '<strong>ERROR</strong>: Password must be at least 8 characters long and include at least one uppercase 
letter and one special character.');
        }
        return $errors;
    }
    add_filter('registration_errors', 'hosting_security_strong_passwords', 10, 3);
}
?>

