<?php
/**
 * @description Removes WordPress version number from meta tags and RSS feeds to prevent exposure of vulnerabilities.
 */
if (!defined('ABSPATH')) {
    exit;
}

// Get settings
$settings = hosting_security_get_settings();

// Apply feature if enabled
if (!empty($settings['hide-wordpress-version'])) {
    // Remove version from HTML meta tags
    remove_action('wp_head', 'wp_generator');
    
    // Remove version from RSS feeds
    add_filter('the_generator', '__return_empty_string');
}
?>

