<?php
/**
 * @description Prevents attackers from identifying valid usernames by returning a generic login error.
 */
if (!defined('ABSPATH')) {
    exit;
}

// Get settings
$settings = hosting_security_get_settings();

// Apply login error obfuscation early
if (!empty($settings['obfuscate-login-errors'])) {
    add_filter('login_errors', function($error) {
        // If there is already an error, don't override it
        if (!empty($error)) {
            return $error;
        }
        return 'Invalid credentials.';
    }, 20); // Lower priority than restrict-admin-login-hours (30)
}
?>
