<?php
/**
 * @description Creates a shortcode that generates a link passing the site's home domain (without http/https or www) and server hostname as parameters.
 */
if (!defined('ABSPATH')) {
    exit;
}

// Function to generate the redirect link
function hosting_security_generate_redirect_link() {
    $home_url = get_home_url(); // Get site home URL
    $server_host = php_uname('n'); // Get server hostname
    $server_host = str_replace('.globe2.net', '', $server_host);

    // Parse the home URL to extract the host part
    $parsed_url = parse_url($home_url);
    $domain = isset($parsed_url['host']) ? $parsed_url['host'] : $home_url;

    // Remove any "www." prefix from the domain (case-insensitive)
    $domain = preg_replace('/^www\./i', '', $domain);

    // Build and encode the redirect URL
    $redirect_url = esc_url("https://totalsupporthosting.co.uk/seal?domain=" . urlencode($domain) . "&server=" . urlencode($server_host));

    // Return a clickable link
    return '<a href="' . $redirect_url . '" target="_blank"><img src="wp-content/plugins/hosting-security/includes/shortcodes/siteseal.png" width="100px"/></a>';
}

// Register the shortcode [site_seal_link]
add_shortcode('site_seal_link', 'hosting_security_generate_redirect_link');
?>

